GET
https://api.cryptohopper.com/v1/hopper/{id}/config
Returns the config of the hopper with every value as a string and API keys masked as ***.
OAuth scope:
read About scopes
fast_api_connected is "1" when the hopper is connected with Fast API.
Example request
curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/config" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/config', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/config",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/config');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | Required | Hopper ID. |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
layout |
string | Optional | full returns every documented config field, filling missing ones with an empty string or 0. Any other value, or leaving it out, returns only fields that have a non-empty value. |
Response
{
"data": {
"name": "My BTC bot",
"exchange": "binance",
"collect_currency": "usdt",
"api_key": "***",
"api_secret": "***",
"allowed_coins": [
"BTC",
"ETH"
],
"max_open_positions": "10",
"stop_loss": "1",
"stop_loss_percentage": "5",
"fast_api_connected": "0"
}
}